//
//  PlayerAdaptSwitch.h
//  DebugPlayer
//
//  Created by baidu on 2019/10/12.
//

#import <Foundation/Foundation.h>
#import <BDCloudMediaPlayer/BDCloudMediaPlayer.h>
@interface PlayerAdaptSwitch : NSObject

- (instancetype)initWithPlayer:(BDCloudMediaPlayerController *)player
                     inputType:(NSInteger)inputType
                     mediaList:(NSArray *)mediaList
                      adaptive:(BOOL)adaptive;

- (NSInteger)currentPlayIndex:(BDCloudMediaPlayerController *)player;
- (NSArray *)getSupportedBitrates:(BDCloudMediaPlayerController *)player;
- (void)changeBitrate:(NSInteger)index player:(BDCloudMediaPlayerController *)player;

- (void)onPrepared:(BDCloudMediaPlayerController *)player;
- (void)onStreamChangeStart:(BDCloudMediaPlayerController *)player;
- (void)onStreamChagneEnd:(BDCloudMediaPlayerController *)player;
- (void)onTCPLoadSize:(NSInteger)loadSize player:(BDCloudMediaPlayerController *)player;
@end
