//
//  BDCloudVRRenderDefines.h
//  BDCloudVRRender
//
//  Created by baidu on 2019/9/9.
//  Copyright © 2019 fusheng. All rights reserved.
//

#ifndef BDCloudVRRenderDefines_h
#define BDCloudVRRenderDefines_h

#ifdef __cplusplus
#define BDCLOUD_VR_EXTERN extern "C" __attribute__((visibility ("default")))
#else
#define BDCLOUD_VR_EXTERN extern __attribute__((visibility ("default")))
#endif

typedef NS_ENUM(NSInteger, BDCVRModeInteractive) {
    BDCVRModeInteractiveTouch,
    BDCVRModeInteractiveMotion,
    BDCVRModeInteractiveMotionWithTouch,
};

typedef NS_ENUM(NSInteger, BDCVRModeDisplay) {
    BDCVRModeDisplayNormal,
    BDCVRModeDisplayGlass,
};

typedef NS_ENUM(NSInteger, BDCVRModeProjection) {
    BDCVRModeProjectionSphere,
    BDCVRModeProjectionDome180,
    BDCVRModeProjectionDome230,
    BDCVRModeProjectionDome180Upper,
    BDCVRModeProjectionDome230Upper,
    BDCVRModeProjectionStereoSphereHorizontal,
    BDCVRModeProjectionStereoSphereVertical,
    BDCVRModeProjectionPlaneFit,
    BDCVRModeProjectionPlaneCrop,
    BDCVRModeProjectionPlaneFull,
    BDCVRModeProjectionStereoPlaneFitHorizontal,
    BDCVRModeProjectionStereoPlaneFitVertical,
};

#endif /* BDCloudVRRenderDefines_h */
