//
//  PlayerSpriteModel.h
//  DebugPlayer
//
//  Created by baidu on 2019/10/12.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface PlayerSpriteModel : NSObject

- (instancetype)initRow:(NSInteger)row
                 column:(NSInteger)column
               duration:(NSTimeInterval)duration
              imageList:(NSArray *)imageList;

- (void)startSpriteDownload:(void(^)(BOOL succ))callBack;

- (void)stopSpriteDownload;

- (void)updateSpriteRenderSize:(UIView *)superView;

- (void)showSpriteRender:(NSTimeInterval)position;

- (void)hideSpriteRender;
@end
