//
//  PlayerVRModel.h
//  DebugPlayer
//
//  Created by baidu on 2019/10/12.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface PlayerVRModel : NSObject

- (instancetype)initWithProjectionMode:(NSInteger)projectionMode
                           displayMode:(NSInteger)displayMode
                       interactiveMode:(NSInteger)interactiveMode
                          pinchEnabled:(BOOL)pinchEnabled;
- (void)startOnRenderView:(UIView *)view
           renderPorvider:(UIView *)provider
    viaHardwareAccelerate:(BOOL)viaHardwareAccelerate;
- (void)play;
- (void)pause;
@end
