//
//  VideoListViewModel.h
//  VideoPlayer
//
//  Created by 白璐 on 16/9/18.
//  Copyright © 2016年 baidu. All rights reserved.
//

#import "Defines.h"

@interface VideoListViewModel : NSObject <VideoSource>

- (NSUInteger)count;
- (NSString*)image:(NSUInteger)index;
- (NSString*)title:(NSUInteger)index;
- (NSString*)detail:(NSUInteger)index;
- (NSString*)url:(NSUInteger)index;
- (NSString*)token:(NSUInteger)index;
- (BOOL)spriteEnable:(NSInteger)index;
- (NSInteger)spriteRow:(NSInteger)index;
- (NSInteger)spriteColumn:(NSInteger)index;
- (NSTimeInterval)spriteThumbnailDuration:(NSInteger)index;
- (NSArray *)spriteImageList:(NSInteger)index;
- (BOOL)ioDemoEnable:(NSInteger)index;
- (BOOL)mutiBitrateEnable:(NSInteger)index;
- (NSInteger)inputType:(NSInteger)index;
- (NSArray *)inputList:(NSInteger)index;
- (BOOL)adaptiveEnable:(NSInteger)index;
- (BOOL)VREnable:(NSInteger)index;
- (NSInteger)projectionMode:(NSInteger)index;
- (NSInteger)displayMode:(NSInteger)index;
- (NSInteger)interactiveMode:(NSInteger)index;
- (BOOL)pinchEnabled:(NSInteger)index;
- (BOOL)isDownloadableResource:(NSUInteger)index;
- (BOOL)isDownloading:(NSUInteger)index;
- (void)deleteVideo:(NSUInteger)index;
- (void)add:(NSString*)name url:(NSString*)url;
- (void)download:(NSUInteger)index cancelBlock:(void(^)(BOOL cancel))block;
- (void)download:(NSUInteger)index size:(int64_t)size;
@end
