//
//  BDCloudMediaAdaptiveItem.h
//  BDCloudMediaAdaptive
//
//  Created by baidu on 2019/10/11.
//  Copyright © 2019 fusheng. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

@interface BDCloudMediaAdaptiveItem : NSObject

/**
 video play url.
 */
@property(nonatomic, copy) NSString *contentString;

/**
 video bitrate in bps.
 */
@property(nonatomic, assign) NSInteger bitrate;

/**
 video index in list.
 */
@property(nonatomic, assign) NSInteger mediaIndex;

/**
 instance with item information.

 @param contentString video play url。
 @param bitrate video bitrate in bps。
 @return adaptiveItem instance。
 */
- (instancetype)init:(NSString *)contentString bitrate:(NSInteger)bitrate;
@end
